-- v2.01 updated for post-2.0 and latest patch, several new emotes (fixed an error from 2.00)

-- command list

function burningmuffin_initialize()
-- this will show a list of all emotes added by Burning Muffin emotes
SlashCmdList["BMEMOTES"] = bmemotes_command;
SLASH_BMEMOTES1 = "/burningmuffin";
end

function bmemotes_command(msg)
DEFAULT_CHAT_FRAME:AddMessage("Burning Muffin Emotes by BananaFiend v2.00", 1.0, 1.0, 0.5);
DEFAULT_CHAT_FRAME:AddMessage("Original mod by DrMuffin.  He deserves all the credit!", 1.0, 1.0, 0.5);
DEFAULT_CHAT_FRAME:AddMessage("---------------Old Emotes (74)---------------", 1.0, 1.0, 0.5);
DEFAULT_CHAT_FRAME:AddMessage("baa blrose bounce brose bugout clown complain cookie faint flanic fondle foot french goose grumble grunt heman hiccup highkick impale joke lime linedance lust mango meditate mine muffin mutter nibble pet pie pout preen punch puppy quack raar rawr rose scream shinkick sidekick smack sneeze snerk sniffle snore snort stone storm sweat swoon tango tomato tongue typo ufo undress vnod vomit waltz wonk yrose", 1.0, 1.0, 0.5);
DEFAULT_CHAT_FRAME:AddMessage("---------------New Emotes (26)---------------", 1.0, 1.0, 0.5);
DEFAULT_CHAT_FRAME:AddMessage("gank podsix verse japanese hum pop scurvy banana chimp fool poo pain wiggle bum squint mexican hate kill tremble poot drunk fly pdead feelbad bad shoot", 1.0, 1.0, 0.5);
end

-- scream

function scream_initialize()
SlashCmdList["SCREAM"] = scream_command;
SLASH_SCREAM1 = "/scream";
end

function scream_command()
		scream_target = UnitName("target");
		if ( scream_target ) then
				scream_string = "screams at " .. scream_target .. "!";
		else
				scream_string = "screams loudly!";
		end
SendChatMessage(scream_string, "EMOTE");
end

-- faint

function faint_initialize()
SlashCmdList["FAINT"] = faint_command;
SLASH_FAINT1 = "/faint";
end

function faint_command()
		faint_target = UnitName("target");
		if ( faint_target ) then
				faint_string = "faints on " .. faint_target .. ".";
		else
				faint_string = "faints.";
		end
SendChatMessage(faint_string, "EMOTE");
end


-- swoon

function swoon_initialize()
SlashCmdList["SWOON"] = swoon_command;
SLASH_SWOON1 = "/swoon";
end

function swoon_command()
		swoon_target = UnitName("target");
		if ( swoon_target ) then
				swoon_string = "swoons all over " .. swoon_target .. ".";
		else
				swoon_string = "swoons.";
		end
SendChatMessage(swoon_string, "EMOTE");
end

-- complain

function complain_initialize()
SlashCmdList["COMPLAIN"] = complain_command;
SLASH_COMPLAIN1 = "/complain";
end

function complain_command()
		complain_target = UnitName("target");
		if ( complain_target ) then
				complain_string = "complains loudly about " .. complain_target .. ".";
		else
				complain_string = "complains loudly.";
		end
SendChatMessage(complain_string, "EMOTE");
end


-- grumble

function grumble_initialize()
SlashCmdList["GRUMBLE"] = grumble_command;
SLASH_GRUMBLE1 = "/grumble";
end

function grumble_command()
		grumble_target = UnitName("target");
		if ( grumble_target ) then
				grumble_string = "grumbles something about " .. grumble_target .. ".";
		else
				grumble_string = "grumbles incoherently.";
		end
SendChatMessage(grumble_string, "EMOTE");
end

-- preen

function preen_initialize()
SlashCmdList["PREEN"] = preen_command;
SLASH_PREEN1 = "/preen";
end

function preen_command()
		preen_target = UnitName("target");
		if ( preen_target ) then
				preen_string = "primps and preens for " .. preen_target .. ".";
		else
				preen_string = "preens.";
		end
SendChatMessage(preen_string, "EMOTE");
end


-- grunt

function grunt_initialize()
SlashCmdList["GRUNT"] = grunt_command;
SLASH_GRUNT1 = "/grunt";
end

function grunt_command()
		grunt_target = UnitName("target");
		if ( grunt_target ) then
				grunt_string = "grunts at " .. grunt_target .. ".";
		else
				grunt_string = "grunts. Monosyllabism rules.";
		end
SendChatMessage(grunt_string, "EMOTE");
end

-- snort

function snort_initialize()
SlashCmdList["SNORT"] = snort_command;
SLASH_SNORT1 = "/snort";
end

function snort_command()
		snort_target = UnitName("target");
		if ( snort_target ) then
				snort_string = "snorts derisively at " .. snort_target .. ".";
		else
				snort_string = "snorts derisively.";
		end
SendChatMessage(snort_string, "EMOTE");
end

-- pout

function pout_initialize()
SlashCmdList["POUT"] = pout_command;
SLASH_POUT1 = "/pout";
end

function pout_command()
		pout_target = UnitName("target");
		if ( pout_target ) then
				pout_string = "pouts pathetically at " .. pout_target .. ".";
		else
				pout_string = "pouts.";
		end
SendChatMessage(pout_string, "EMOTE");
end

-- sniffle

function sniffle_initialize()
SlashCmdList["SNIFFLE"] = sniffle_command;
SLASH_SNIFFLE1 = "/sniffle";
end

function sniffle_command()
		sniffle_target = UnitName("target");
		if ( sniffle_target ) then
				sniffle_string = "sniffles at " .. sniffle_target .. ". Aww...";
		else
				sniffle_string = "sniffles.";
		end
SendChatMessage(sniffle_string, "EMOTE");
end

-- hiccup

function hiccup_initialize()
SlashCmdList["HICCUP"] = hiccup_command;
SLASH_HICCUP1 = "/hiccup";
end

function hiccup_command()
		hiccup_target = UnitName("target");
		if ( hiccup_target ) then
				hiccup_string = "hiccups loudly at " .. hiccup_target .. ".";
		else
				hiccup_string = "hiccups.";
		end
SendChatMessage(hiccup_string, "EMOTE");
end

-- sneeze

function sneeze_initialize()
SlashCmdList["SNEEZE"] = sneeze_command;
SLASH_SNEEZE1 = "/sneeze";
end

function sneeze_command()
		sneeze_target = UnitName("target");
		if ( sneeze_target ) then
				sneeze_string = "sneezes all over " .. sneeze_target .. "! Eww!";
		else
				sneeze_string = "sneezes.";
		end
SendChatMessage(sneeze_string, "EMOTE");
end

-- wonk

function wonk_initialize()
SlashCmdList["WONK"] = wonk_command;
SLASH_WONK1 = "/wonk";
end

function wonk_command()
	local x = math.random(5)
			if (x == 1) then
				wonk = "wonks with abandon."
			elseif (x == 2) then
				wonk = "smiles and starts to wonk recklessly."
			elseif (x == 3) then
				wonk = "wonks all over the place. What a mess!"
			elseif (x == 4) then
				wonk = "tries winking but wonks by mistake."
			elseif (x == 5) then
				wonk = "busts out a wonkin' a capella."
		end
SendChatMessage(wonk, "EMOTE");
end


-- goose

function goose_initialize()
SlashCmdList["GOOSE"] = goose_command;
SLASH_GOOSE1 = "/goose";
end

function goose_command()
		goose_target = UnitName("target");
		if ( goose_target ) then
				goose_string = "gooses " .. goose_target .. "!";
		else
				goose_string = "looks around for someone to goose.";
		end
SendChatMessage(goose_string, "EMOTE");
end


-- smack

function smack_initialize()
SlashCmdList["SMACK"] = smack_command;
SLASH_SMACK1 = "/smack";
end

function smack_command()
		smack_target = UnitName("target");
		if ( smack_target ) then
				smack_string = "smacks " .. smack_target .. ". Hard.";
		else
				smack_string = "really feels like smacking someone right about now.";
		end
SendChatMessage(smack_string, "EMOTE");
end


-- raar

function raar_initialize()
SlashCmdList["RAAR"] = raar_command;
SLASH_RAAR1 = "/raar";
end

function raar_command()
		raar_target = UnitName("target");
		if ( raar_target ) then
				raar_string = "looks at " .. raar_target .. " and raars! Raaaaar!";
		else
				raar_string = "raars!";
		end
SendChatMessage(raar_string, "EMOTE");
end


-- rawr

function rawr_initialize()
SlashCmdList["RAWR"] = rawr_command;
SLASH_RAWR1 = "/rawr";
end

function rawr_command()
		rawr_target = UnitName("target");
		if ( rawr_target ) then
				rawr_string = "rawrs vicariously at " .. rawr_target .. "!";
		else
				rawr_string = "rawrs. Rawr!";
		end
SendChatMessage(rawr_string, "EMOTE");
end


-- fondle

function fondle_initialize()
SlashCmdList["FONDLE"] = fondle_command;
SLASH_FONDLE1 = "/fondle";
end

function fondle_command()
		fondle_target = UnitName("target");
		fondle_gender = UnitSex("player");
		if ( fondle_target ) then
				fondle_string = "fondles " .. fondle_target .. " lovingly.";
		elseif ( fondle_gender == 2 ) then
				fondle_string = "fondles his own bum.";
		elseif ( fondle_gender == 3 ) then				
				fondle_string = "fondles her own bum.";
		end
SendChatMessage(fondle_string, "EMOTE");
end


-- heman (grabbing main weapon string)

function heman_initialize()
SlashCmdList["HEMAN"] = heman_command;
SLASH_HEMAN1 = "/heman";
end

function heman_command()
		heman_target = UnitName("target");
		heman_gender = UnitSex("player");
		if ( heman_gender == 2 ) then
				heman_pn = "his";
		elseif ( heman_gender == 3) then
				heman_pn = "her";
		end
		if ( heman_target ) then
				heman_string = "grabs " .. heman_pn .. " weapon, waves it at " .. heman_target .. ", and yells.";
		else
				heman_string = "grabs " .. heman_pn .. " weapon and thrusts it into the air, yelling.";
		end
SendChatMessage(heman_string, "EMOTE");
SendChatMessage("I have the power!", "YELL");
end


-- falldead

function falldead_initialize()
SlashCmdList["FALLDEAD"] = falldead_command;
SLASH_FALLDEAD1 = "/falldead";
end

function falldead_command()
		falldead_target = UnitName("target");
		if ( falldead_target ) then
				falldead_string = "looks at " .. falldead_target .. "and falls over--dead.";
		else
				falldead_string = "falls over--dead.";
		end
SendChatMessage(falldead_string, "EMOTE");
end


-- vomit

function vomit_initialize()
SlashCmdList["VOMIT"] = vomit_command;
SLASH_VOMIT1 = "/vomit";
end

function vomit_command()
		vomit_target = UnitName("target");
		vomit_gender = UnitSex("player");
		if ( vomit_gender == 2 ) then
				vomit_pn = "his";
		elseif ( vomit_gender == 3) then
				vomit_pn = "her";
		end
		if ( vomit_target ) then
				vomit_string = "turns green and loses " .. vomit_pn .. " lunch all over " .. vomit_target .. ".";
		else
				vomit_string = "turns green and loses " .. vomit_pn .. " lunch.";
		end
SendChatMessage(vomit_string, "EMOTE");
end


-- stone

function stone_initialize()
SlashCmdList["STONE"] = stone_command;
SLASH_STONE1 = "/stone";
end

function stone_command()
		stone_target = UnitName("target");
		if ( stone_target ) then
				stone_string = "picks up a stone and throws it at " .. stone_target .. "'s head.";
		else
				stone_string = "picks up a stone and ponders tossing it at someone's head.";
		end
SendChatMessage(stone_string, "EMOTE");
end


-- impale

function impale_initialize()
SlashCmdList["IMPALE"] = impale_command;
SLASH_IMPALE1 = "/impale";
end

function impale_command()
		impale_target = UnitName("target");
		impale_gender = UnitSex("player");
		if ( impale_gender == 2 ) then
				impale_pn = "him";
		elseif ( impale_gender == 3) then
				impale_pn = "her";
		end		
		if ( impale_target ) then
				impale_string = "imaples " .. impale_target .. " on a stick.";
		else
				impale_string = "impales " .. impale_pn .. "self.";
		end
SendChatMessage(impale_string, "EMOTE");
end


-- flanic

function flanic_initialize()
SlashCmdList["FLANIC"] = flanic_command;
SLASH_FLANIC1 = "/flanic";
end

function flanic_command()
		flanic_string = "flanics and attempts to pee!";
		SendChatMessage(flanic_string, "EMOTE");
end


-- nibble

function nibble_initialize()
SlashCmdList["NIBBLE"] = nibble_command;
SLASH_NIBBLE1 = "/nibble";
end

function nibble_command()
		nibble_target = UnitName("target");
		nibble_gender = UnitSex("player");
		if ( nibble_target ) then
				nibble_string = "gently nibbles on " .. nibble_target .. "'s ear.";
		else
				nibble_string = "nibbles on something.";
		end
SendChatMessage(nibble_string, "EMOTE");
end



-- storm

function storm_initialize()
SlashCmdList["STORM"] = storm_command;
SLASH_STORM1 = "/storm";
end

function storm_command()
		storm_target = UnitName("target");
		if ( storm_target ) then
				storm_string = "storms away from " .. storm_target .. " in a huff!";
		else
				storm_string = "storms off in a huff!";
		end
SendChatMessage(storm_string, "EMOTE");
end


-- puppy

function puppy_initialize()
SlashCmdList["PUPPY"] = puppy_command;
SLASH_PUPPY1 = "/puppy";
end

function puppy_command()
		puppy_target = UnitName("target");
		if ( puppy_target ) then
				puppy_string = "looks at " .. puppy_target .. " with huge, puppydog eyes.";
		else
				puppy_string = "looks around with huge, puppydog eyes.";
		end
SendChatMessage(puppy_string, "EMOTE");
end


-- sweat

function sweat_initialize()
SlashCmdList["SWEAT"] = sweat_command;
SLASH_SWEAT1 = "/sweat";
end

function sweat_command()
		sweat_target = UnitName("target");
		sweat_gender = UnitSex("player");
		if ( sweat_gender == 2 ) then
			sweat_pn = "his";
		elseif ( sweat_gender == 3 ) then
			sweat_pn = "her";
		end
				sweat_string = "gets a pained look on " .. sweat_pn .. " face as a large sweat drop appears on " .. sweat_pn .. " forehead.";
SendChatMessage(sweat_string, "EMOTE");
end


-- bugout

function bugout_initialize()
SlashCmdList["BUGOUT"] = bugout_command;
SLASH_BUGOUT1 = "/bugout";
end

function bugout_command()
		bugout_target = UnitName("target");
		bugout_gender = UnitSex("player");
		if ( bugout_gender == 2 ) then
				bugout_pn = "his";
		elseif ( bugout_gender == 3) then
				bugout_pn = "her";
		end		
		if ( bugout_target ) then
				bugout_string = "gasps at " .. bugout_target .. ", completely bugging out.";
		else
				bugout_string = "gasps, " .. bugout_pn .. " eyes bugging out.";
		end
SendChatMessage(bugout_string, "EMOTE");
end


-- foot

function foot_initialize()
SlashCmdList["FOOT"] = foot_command;
SLASH_FOOT1 = "/foot";
end

function foot_command()
		foot_target = UnitName("target");
		foot_gender = UnitSex("player");
		if ( foot_gender == 2 ) then
				foot_pn = "his";
				foot_pn1 = "he";
		elseif ( foot_gender == 3) then
				foot_pn = "her";
				foot_pn1 = "she";
		end		
		if ( foot_target ) then
				foot_string = "looks at " .. foot_target .. " and wonders where " .. foot_pn1 .. " should stick " .. foot_pn .. " foot.";
		else
				foot_string = "opens " .. foot_pn .. " mouth and inserts " .. foot_pn .. " foot.";
		end
SendChatMessage(foot_string, "EMOTE");
end


-- undress

function undress_initialize()
SlashCmdList["UNDRESS"] = undress_command;
SLASH_UNDRESS1 = "/undress";
end

function undress_command()
		undress_target = UnitName("target");
		undress_gender = UnitSex("player");
		if ( undress_gender == 2 ) then
				undress_pn = "his";
		elseif ( undress_gender == 3) then
				undress_pn = "her";
		end		
		if ( undress_target ) then
				undress_string = "undresses " .. undress_target .. " with " .. undress_pn .. " eyes.";
		else
				undress_string = "undresses " .. undress_pn .. "self.";
		end
SendChatMessage(undress_string, "EMOTE");
end


-- lust

function lust_initialize()
SlashCmdList["LUST"] = lust_command;
SLASH_LUST1 = "/lust";
end

function lust_command()
		lust_target = UnitName("target");
		lust_gender = UnitSex("player");
		if ( lust_gender == 2 ) then
				lust_pn = "his";
		elseif ( lust_gender == 3) then
				lust_pn = "her";
		end		
		if ( lust_target ) then
				lust_string = "lusts after " .. lust_target .. ".";
		else
				lust_string = "has a gleam of lust in " .. lust_pn .. " eyes.";
		end
SendChatMessage(lust_string, "EMOTE");
end


-- bounce

function bounce_initialize()
SlashCmdList["BOUNCE"] = bounce_command;
SLASH_BOUNCE1 = "/bounce";
end

function bounce_command()
		bounce_target = UnitName("target");
		if ( bounce_target ) then
				bounce_string = "bounces around " .. bounce_target .. ".";
		else
				bounce_string = "bounces around.";
		end
SendChatMessage(bounce_string, "EMOTE");
end


-- pie

function pie_initialize()
SlashCmdList["PIE"] = pie_command;
SLASH_PIE1 = "/pie";
end

function pie_command()
		pie_target = UnitName("target");
		if ( pie_target ) then
				pie_string = "grabs a banana cream pie and throws it at " .. pie_target .. "'s face.";
		else
				pie_string = "grabs a banana cream pie, debating furiously between throwing it at someone or eating it.";
		end
SendChatMessage(pie_string, "EMOTE");
end


-- typo

function typo_initialize()
SlashCmdList["TYPO"] = typo_command;
SLASH_TYPO1 = "/typo";
end

function typo_command()
		typo_target = UnitName("target");
		typo_gender = UnitSex("player");
		if ( typo_gender == 2 ) then
				typo_pn = "his";
		elseif ( typo_gender == 3) then
				typo_pn = "her";
		end		
		if ( typo_target ) then
				typo_string = "laughs at " .. typo_target .. "'s typo. Tahtt's funny!";
		else
				typo_string = "trips oerv " .. typo_pn .. " own figners. Typo!";
		end
SendChatMessage(typo_string, "EMOTE");
end


-- pet

function pet_initialize()
SlashCmdList["PET"] = pet_command;
SLASH_PET1 = "/pet";
end

function pet_command()
		pet_target = UnitName("target");
		pet_gender = UnitSex("player");
		if ( pet_gender == 2 ) then
				typo_pn = "his";
		elseif ( pet_gender == 3) then
				pet_pn = "her";
		end		
		if ( pet_target ) then
				pet_string = "pets " .. pet_target .. " lovingly.";
		else
				pet_string = "pets " .. pet_pn .. "self.";
		end
SendChatMessage(pet_string, "EMOTE");
end


-- snerk

function snerk_initialize()
SlashCmdList["SNERK"] = snerk_command;
SLASH_SNERK1 = "/snerk";
end

function snerk_command()
		snerk_target = UnitName("target");
		if ( snerk_target ) then
				snerk_string = "looks at " .. snerk_target .. " and snerks cantankerously.";
		else
				snerk_string = "snerks.";
		end
SendChatMessage(snerk_string, "EMOTE");
end


-- snore

function snore_initialize()
SlashCmdList["SNORE"] = snore_command;
SLASH_SNORE1 = "/snore";
end

function snore_command()
		snore_target = UnitName("target");
		snore_gender = UnitSex("player");
		if ( snore_gender == 2 ) then
				snore_pn = "his";
		elseif ( snore_gender == 3) then
				snore_pn = "her";
		end		
		if ( snore_target ) then
				snore_string = "snores loudly at " .. snore_target .. ".";
		else
				snore_string = "snores.";
		end
SendChatMessage(snore_string, "EMOTE");
end


-- mine

function mine_initialize()
SlashCmdList["MINE"] = mine_command;
SLASH_MINE1 = "/mine";
end

function mine_command()
		mine_target = UnitName("target");
		mine_gender = UnitSex("player");
		if ( mine_gender == 2 ) then
				mine_pn = "his";
		elseif ( mine_gender == 3) then
				mine_pn = "her";
		end		
		if ( mine_target ) then
				mine_string = "glares at " .. mine_target .. " and yells, 'Mine!'";
		else
				mine_string = "glares at everyone and yells, 'Mine!'";
		end
SendChatMessage(mine_string, "EMOTE");
end


-- typo

function highkick_initialize()
SlashCmdList["HIGHKICK"] = highkick_command;
SLASH_HIGHKICK1 = "/highkick";
end

function highkick_command()
		highkick_target = UnitName("target");
		highkick_gender = UnitSex("player");
		if ( highkick_target ) then
				highkick_string = "does a fancy highkick, barely missing " .. highkick_target .. "'s face.";
		else
				highkick_string = "executes a super ninja highkick!";
		end
SendChatMessage(highkick_string, "EMOTE");
end


-- sidekick

function sidekick_initialize()
SlashCmdList["SIDEKICK"] = sidekick_command;
SLASH_SIDEKICK1 = "/sidekick";
end

function sidekick_command()
		sidekick_target = UnitName("target");
		sidekick_gender = UnitSex("player");
		if ( sidekick_gender == 2 ) then
				sidekick_pn = "his";
		elseif ( sidekick_gender == 3) then
				sidekick_pn = "her";
		end		
		if ( sidekick_target ) then
				sidekick_string = "asks " .. sidekick_target .. " to be " .. sidekick_pn .. " sidekick. Please?";
		else
				sidekick_string = "shows off " .. sidekick_pn .. " karate with a sidekick.";
		end
SendChatMessage(sidekick_string, "EMOTE");
end


-- shinkick

function shinkick_initialize()
SlashCmdList["SHINKICK"] = shinkick_command;
SLASH_SHINKICK1 = "/shinkick";
end

function shinkick_command()
		shinkick_target = UnitName("target");
		shinkick_gender = UnitSex("player");
		if ( shinkick_gender == 2 ) then
				shinkick_pn = "his";
		elseif ( shinkick_gender == 3) then
				shinkick_pn = "her";
		end		
		if ( shinkick_target ) then
				shinkick_string = "kicks " .. shinkick_target .. " on the shin. Ow!";
		else
				shinkick_string = "kicks " .. shinkick_pn .. " own shin.";
		end
SendChatMessage(shinkick_string, "EMOTE");
end


-- punch

function punch_initialize()
SlashCmdList["PUNCH"] = punch_command;
SLASH_PUNCH1 = "/punch";
end

function punch_command()
		punch_target = UnitName("target");
		punch_gender = UnitSex("player");
		if ( punch_gender == 2 ) then
				punch_pn = "his";
		elseif ( punch_gender == 3) then
				punch_pn = "her";
		end		
		if ( punch_target ) then
				punch_string = "punches " .. punch_target .. "'s shoulder playfully.";
		else
				punch_string = "spikes the punch.";
		end
SendChatMessage(punch_string, "EMOTE");
end


-- joke

function joke_initialize()
SlashCmdList["JOKE"] = joke_command;
SLASH_JOKE1 = "/joke";
end

function joke_command()
		joke_target = UnitName("target");
		joke_gender = UnitSex("player");
		if ( joke_gender == 2 ) then
				joke_pn = "he";
		elseif ( joke_gender == 3) then
				joke_pn = "she";
		end		
		if ( joke_target ) then
				joke_string = "jokes around with " .. joke_target .. ".";
		else
				joke_string = "lets everyone know " .. joke_pn .. " was joking.";
		end
SendChatMessage(joke_string, "EMOTE");
end


-- clown

function clown_initialize()
SlashCmdList["CLOWN"] = clown_command;
SLASH_CLOWN1 = "/clown";
end

function clown_command()
		clown_target = UnitName("target");
		clown_gender = UnitSex("player");
		if ( clown_gender == 2 ) then
				clown_pn = "his";
		elseif ( clown_gender == 3) then
				clown_pn = "her";
		end		
		if ( clown_target ) then
				clown_string = "looks at " .. clown_target .. " and fweeeeees.";
		else
				clown_string = "puts on a large nose and oversized shoes. Honkhonk!";
		end
SendChatMessage(clown_string, "EMOTE");
end


-- duck

function quack_initialize()
SlashCmdList["QUACK"] = quack_command;
SLASH_QUACK1 = "/quack";
end

function quack_command()
		quack_target = UnitName("target");
		quack_gender = UnitSex("player");
		if ( quack_gender == 2 ) then
				quack_pn = "his";
		elseif ( quack_gender == 3) then
				quack_pn = "her";
		end		
		if ( quack_target ) then
				quack_string = "quacks at " .. quack_target .. ".";
		else
				quack_string = "quacks like a duck. Quack!";
		end
SendChatMessage(quack_string, "EMOTE");
end


-- baa

function baa_initialize()
SlashCmdList["BAA"] = baa_command;
SLASH_BAA1 = "/baa";
end

function baa_command()
		baa_target = UnitName("target");
		baa_gender = UnitSex("player");
		if ( baa_gender == 2 ) then
				baa_pn = "his";
		elseif ( baa_gender == 3) then
				baa_pn = "her";
		end		
		if ( baa_target ) then
				baa_string = "wants " .. baa_target .. " to be " .. baa_pn .. " shepherd. Baa!"
		else
				baa_string = "bleats. Baa!";
		end
SendChatMessage(baa_string, "EMOTE");
end


-- mutter

function mutter_initialize()
SlashCmdList["MUTTER"] = mutter_command;
SLASH_MUTTER1 = "/mutter";
end

function mutter_command()
		mutter_target = UnitName("target");
		mutter_gender = UnitSex("player");
		if ( mutter_gender == 2 ) then
				mutter_pn = "his";
		elseif ( mutter_gender == 3) then
				mutter_pn = "her";
		end		
		if ( mutter_target ) then
				mutter_string = "mutters something about " .. mutter_target .. " under " .. mutter_pn .. " breath.";
		else
				mutter_string = "mutters under " .. mutter_pn .. " breath.";
		end
SendChatMessage(mutter_string, "EMOTE");
end


-- linedance

function linedance_initialize()
SlashCmdList["LINEDANCE"] = linedance_command;
SLASH_LINEDANCE1 = "/linedance";
end

function linedance_command()
		linedance_target = UnitName("target");
		linedance_gender = UnitSex("player");
		if ( linedance_gender == 2 ) then
				linedance_pn = "him";
		elseif ( linedance_gender == 3) then
				linedance_pn = "her";
		end		
		if ( linedance_target ) then
				linedance_string = "linedances with " .. linedance_target .. ".";
		else
				linedance_string = "tries to get everyone to linedance with " .. linedance_pn .. ".";
		end
SendChatMessage(linedance_string, "EMOTE");
end


-- waltz

function waltz_initialize()
SlashCmdList["WALTZ"] = waltz_command;
SLASH_WALTZ1 = "/waltz";
end

function waltz_command()
		waltz_target = UnitName("target");
		waltz_gender = UnitSex("player");
		if ( waltz_gender == 2 ) then
				waltz_pn = "him";
		elseif ( waltz_gender == 3) then
				waltz_pn = "her";
		end		
		if ( waltz_target ) then
				waltz_string = "dances a waltz with " .. waltz_target .. ". Easy peasy lemon squeezy.";
		else
				waltz_string = "wonders if anyone would like to waltz with " .. waltz_pn .. ".";
		end
SendChatMessage(waltz_string, "EMOTE");
end


-- tango

function tango_initialize()
SlashCmdList["TANGO"] = tango_command;
SLASH_TANGO1 = "/tango";
end

function tango_command()
		tango_target = UnitName("target");
		tango_gender = UnitSex("player");
		if ( tango_gender == 2 ) then
				tango_pn = "his";
		elseif ( tango_gender == 3) then
				tango_pn = "her";
		end		
		if ( tango_target ) then
				tango_string = "tangos merrily with " .. tango_target .. ".";
		else
				tango_string = "looks around frantically for a tango partner.";
		end
SendChatMessage(tango_string, "EMOTE");
end


-- rose

function rose_initialize()
SlashCmdList["ROSE"] = rose_command;
SLASH_ROSE1 = "/rose";
end

function rose_command()
		rose_target = UnitName("target");
		rose_gender = UnitSex("player");
		if ( rose_gender == 2 ) then
				rose_pn = "his";
		elseif ( rose_gender == 3) then
				rose_pn = "her";
		end		
		if ( rose_target ) then
				rose_string = "gives " .. rose_target .. " a red rose.";
		else
				rose_string = "puts a red rose behind " .. rose_pn .. " ear.";
		end
SendChatMessage(rose_string, "EMOTE");
end


-- brose

function brose_initialize()
SlashCmdList["BROSE"] = brose_command;
SLASH_BROSE1 = "/brose";
end

function brose_command()
		brose_target = UnitName("target");
		brose_gender = UnitSex("player");
		if ( brose_gender == 2 ) then
				brose_pn = "his";
		elseif ( brose_gender == 3) then
				brose_pn = "her";
		end		
		if ( brose_target ) then
				brose_string = "smiles and offers " .. brose_target .. " a blue rose.";
		else
				brose_string = "pricks " .. brose_pn .. " finger on the thorns of a blue rose.";
		end
SendChatMessage(brose_string, "EMOTE");
end


-- blrose

function blrose_initialize()
SlashCmdList["BLROSE"] = blrose_command;
SLASH_BLROSE1 = "/blrose";
end

function blrose_command()
		blrose_target = UnitName("target");
		blrose_gender = UnitSex("player");
		if ( blrose_gender == 2 ) then
				blrose_pn = "his";
		elseif ( blrose_gender == 3) then
				blrose_pn = "her";
		end		
		if ( blrose_target ) then
				blrose_string = "lays a black rose at " .. blrose_target .. "'s feet.";
		else
				blrose_string = "carries a single, black rose.";
		end
SendChatMessage(blrose_string, "EMOTE");
end


-- yrose

function yrose_initialize()
SlashCmdList["YROSE"] = yrose_command;
SLASH_YROSE1 = "/yrose";
end

function yrose_command()
		yrose_target = UnitName("target");
		yrose_gender = UnitSex("player");
		if ( yrose_gender == 2 ) then
				yrose_pn = "his";
		elseif ( yrose_gender == 3) then
				yrose_pn = "her";
		end		
		if ( yrose_target ) then
				yrose_string = "cheerfully gifts " .. yrose_target .. " with a yellow rose.";
		else
				yrose_string = "thinks this yellow rose is perfect for the situation.";
		end
SendChatMessage(yrose_string, "EMOTE");
end


-- vnod

function vnod_initialize()
SlashCmdList["VNOD"] = vnod_command;
SLASH_VNOD1 = "/vnod";
end

function vnod_command()
		vnod_target = UnitName("target");
		if ( vnod_target ) then
				vnod_string = "nods vigorously at " .. vnod_target .. ".";
		else
				vnod_string = "nods vigorously.";
		end
SendChatMessage(vnod_string, "EMOTE");
end


-- mango

function mango_initialize()
SlashCmdList["MANGO"] = mango_command;
SLASH_MANGO1 = "/mango";
end

function mango_command()
		mango_target = UnitName("target");
		mango_gender = UnitSex("player");
		if ( mango_gender == 2 ) then
				mango_pn = "his";
		elseif ( mango_gender == 3) then
				mango_pn = "her"; 
		end		
		if ( mango_target ) then
				mango_string = "offers " .. mango_target .. " some of " .. mango_pn .. " mango.";
		else
				mango_string = "devours an entire mango. Whole.";
		end
SendChatMessage(mango_string, "EMOTE");
end


-- tomato

function tomato_initialize()
SlashCmdList["TOMATO"] = tomato_command;
SLASH_TOMATO1 = "/tomato";
end

function tomato_command()
		tomato_target = UnitName("target");
		if ( tomato_target ) then
				tomato_string = "pelts " .. tomato_target .. " with mushy tomatoes.";
		else
				tomato_string = "starts flinging tomatoes at everyone!";
		end
SendChatMessage(tomato_string, "EMOTE");
end


-- ufo

function ufo_initialize()
SlashCmdList["UFO"] = ufo_command;
SLASH_UFO1 = "/ufo";
end

function ufo_command()
		ufo_target = UnitName("target");
		ufo_gender = UnitSex("target");
		if ( ufo_gender == 2 ) then
				ufo_pn = "he";
		elseif ( ufo_gender == 3) then
				ufo_pn = "she";
		elseif ( ufo_gender == 1) then
				ufo_pn = "it";
		end		
		if ( ufo_target ) then
				ufo_string = "thinks " .. ufo_target .. " is in a grumpy mood because " .. ufo_pn .. " was experimented upon by aliens the previous night.";
		else
				ufo_string = "gasps and points at the sky. UFO!";
		end
SendChatMessage(ufo_string, "EMOTE");
end


-- cookie

function cookie_initialize()
SlashCmdList["COOKIE"] = cookie_command;
SLASH_COOKIE1 = "/cookie";
end

function cookie_command()
		cookie_target = UnitName("target");
		cookie_gender = UnitSex("player");
		if ( cookie_gender == 2 ) then
				cookie_pn = "his";
		elseif ( cookie_gender == 3) then
				cookie_pn = "her";
		end		
		if ( cookie_target ) then
				cookie_string = "offers " .. cookie_target .. " some of " .. cookie_pn .. " cookie.";
		else
				cookie_string = "greedily devours a cookie.";
		end
SendChatMessage(cookie_string, "EMOTE");
end


-- muffin

function muffin_initialize()
SlashCmdList["MUFFIN"] = muffin_command;
SLASH_MUFFIN1 = "/muffin";
end

function muffin_command()
		muffin_target = UnitName("target");
		muffin_gender = UnitSex("player");
		if ( muffin_gender == 2 ) then
				muffin_pn = "his";
		elseif ( muffin_gender == 3) then
				muffin_pn = "her";
		end		
		if ( muffin_target ) then
				muffin_string = "offers " .. muffin_target .. " a blueberry muffin.";
		else
				muffin_string = "thinks DrMuffin is so sexy!";
		end
SendChatMessage(muffin_string, "EMOTE");
end


-- lime

function lime_initialize()
SlashCmdList["LIME"] = lime_command;
SLASH_LIME1 = "/lime";
end

function lime_command()
		lime_target = UnitName("target");	
		if ( lime_target ) then
				lime_string = "puts the lime in the coconut and offers it to " .. lime_target .. ".";
		else
				lime_string = "puts the lime in the coconut.";
		end
SendChatMessage(lime_string, "EMOTE");
end


-- tongue

function tongue_initialize()
SlashCmdList["TONGUE"] = tongue_command;
SLASH_TONGUE1 = "/tongue";
end

function tongue_command()
		tongue_target = UnitName("target");
		tongue_gender = UnitSex("player");
		if ( tongue_gender == 2 ) then
				tongue_pn = "his";
		elseif ( tongue_gender == 3) then
				tongue_pn = "her";
		end		
		if ( tongue_target ) then
				tongue_string = "sticks " .. tongue_pn .. " tongue out at " .. tongue_target .. ".";
		else
				tongue_string = "sticks " .. tongue_pn .. " tongue out.";
		end
SendChatMessage(tongue_string, "EMOTE");
end


-- french

function french_initialize()
SlashCmdList["FRENCH"] = french_command;
SLASH_FRENCH1 = "/french";
end

function french_command()
		french_target = UnitName("target");
		french_gender = UnitSex("player");
		if ( french_gender == 2 ) then
				french_pn = "his";
		elseif ( french_gender == 3) then
				french_pn = "her";
		end		
		if ( french_target ) then
				french_string = "frenches " .. french_target .. ".";
		else
				french_string = "practices french kissing with " .. french_pn .. " hand.";
		end
SendChatMessage(french_string, "EMOTE");
end


-- meditate

function meditate_initialize()
SlashCmdList["MEDITATE"] = meditate_command;
SLASH_MEDITATE1 = "/meditate";
end

function meditate_command()
		meditate_target = UnitName("target");
		meditate_gender = UnitSex("player");
		if ( meditate_gender == 2 ) then
				meditate_pn = "his";
		elseif ( meditate_gender == 3) then
				meditate_pn = "her";
		end		
		if ( meditate_target ) then
				meditate_string = "meditates with " .. meditate_target .. "."
		else
				meditate_string = "starts to meditate. Ohm.";
		end
SendChatMessage(meditate_string, "EMOTE");
end


-- gank

function gank_initialize()
SlashCmdList["GANK"] = gank_command;
SLASH_GANK1 = "/gank";
end

function gank_command()
		gank_target = UnitName("target");
		gank_gender = UnitSex("player");
		if ( gank_gender == 2 ) then
				gank_pn = "he";
		elseif ( gank_gender == 3) then
				gank_pn = "she";
		end		
		if ( gank_target ) then
				gank_string = "would like to thank " .. gank_target .. " for the ganking.  That sure took a mind boggling bit of skill, didn't it?"
		else
				gank_string = "prays to the gods that " .. gank_pn .. " won't be ganked.";
		end
SendChatMessage(gank_string, "EMOTE");
end


-- podsix (Sealab 2021)

function podsix_initialize()
SlashCmdList["PODSIX"] = podsix_command;
SLASH_PODSIX1 = "/podsix";
end

function podsix_command()
		podsix_target = UnitName("target");
		if ( podsix_target ) then
				podsix_string = "hopes " .. podsix_target .. " isn't from Pod Six.  Because Pod Six is jerks."
		else
				podsix_string = "decrees that Pod Six is jerks.";
		end
SendChatMessage(podsix_string, "EMOTE");
end


-- verse (Firefly)

function verse_initialize()
SlashCmdList["VERSE"] = verse_command;
SLASH_VERSE1 = "/verse";
end

function verse_command()
		verse_target = UnitName("target");
		verse_gender = UnitSex("player");
		verse_gender2 = UnitSex("target");
		if ( verse_gender == 2 ) then
				verse_pn3 = "he";
		elseif ( verse_gender == 3) then
				verse_pn3 = "she";
		end			
		if ( verse_gender2 == 2 ) then
				verse_pn = "his";
				verse_pn2 = "him";
		elseif ( verse_gender2 == 3) then
				verse_pn = "her";
				verse_pn2 = "her";
		elseif ( verse_gender2 == 1) then
				verse_pn = "its";
				verse_pn2 = "it";
		end	
		if ( verse_target ) then
				verse_string = "doesn't believe there's a power in the 'verse that can stop " .. verse_target .. " from being cheerful.  Sometimes " .. verse_pn3 .. " just wants to duct-tape " .. verse_pn .. " mouth, and dump " .. verse_pn2 .. " in the hold for a month."
		else
				verse_string = "triumphantly informs everyone:  'No power in the 'verse can stop me!'";
		end
SendChatMessage(verse_string, "EMOTE");
end


-- hum

function hum_initialize()
SlashCmdList["HUM"] = hum_command;
SLASH_HUM1 = "/hum";
end

function hum_command()
		hum_target = UnitName("target");
		hum_gender = UnitSex("player");
		if ( hum_gender == 2 ) then
				hum_pn = "himself";
		elseif ( hum_gender == 3) then
				hum_pn = "herself";
		end		
		if ( hum_target ) then
				hum_string = "hums a little ditty to calm " .. hum_target .. "'s nerves."
		else
				hum_string = "starts to hum to " .. hum_pn .. ".  How annoying!";
		end
SendChatMessage(hum_string, "EMOTE");
end


-- pop

function pop_initialize()
SlashCmdList["POP"] = pop_command;
SLASH_POP1 = "/pop";
end

function pop_command()
		pop_target = UnitName("target");
		pop_gender = UnitSex("player");
		if ( pop_gender == 2 ) then
				pop_pn = "his";
		elseif ( pop_gender == 3) then
				pop_pn = "her";
		end
		if ( pop_target ) then
				pop_string = "offers to pop " .. pop_target .. "'s back."
		else
				pop_string = "bends over to pick up a shiny copper coin and pops " .. pop_pn .. " back.  Ouch!";
		end
SendChatMessage(pop_string, "EMOTE");
end


-- scurvy

function scurvy_initialize()
SlashCmdList["SCURVY"] = scurvy_command;
SLASH_SCURVY1 = "/scurvy";
end

function scurvy_command()
		scurvy_target = UnitName("target");
		scurvy_gender = UnitSex("target");
		if ( scurvy_gender == 2 ) then
				scurvy_pn = "he'll";
		elseif ( scurvy_gender == 3) then
				scurvy_pn = "she'll";
		elseif ( scurvy_gender == 1) then
				scurvy_pn = "it'll";
		end
		if ( scurvy_target ) then
				scurvy_string = "hides all of " .. scurvy_target .. "'s oranges in the hopes that " .. scurvy_pn .. " come down with scurvy."
		else
				scurvy_string = "is a pirate!  Ah, scurvy.";
		end
SendChatMessage(scurvy_string, "EMOTE");
end


-- banana

function banana_initialize()
SlashCmdList["BANANA"] = banana_command;
SLASH_BANANA1 = "/banana";
end

function banana_command()
		banana_target = UnitName("target");
		if ( banana_target ) then
				banana_string = "holds a banana over " .. banana_target .. "'s head, just out of reach.  Dance, little monkey, dance!"
		else
				banana_string = "lovingly devours a banana and throws the peel on the ground.  Look out!";
		end
SendChatMessage(banana_string, "EMOTE");
end


-- chimp

function chimp_initialize()
SlashCmdList["CHIMP"] = chimp_command;
SLASH_CHIMP1 = "/chimp";
end

function chimp_command()
		chimp_target = UnitName("target");
		chimp_gender = UnitSex("target");
		if ( chimp_gender == 2 ) then
				chimp_pn = "him";
		elseif ( chimp_gender == 3) then
				chimp_pn = "her";
		elseif ( chimp_gender == 1) then
				chimp_pn = "it";
		end
		if ( chimp_target ) then
				chimp_string = "hands " .. chimp_target .. " a stick and tells " .. chimp_pn .. " to catch some termites.  That's a good chimp!"
		else
				chimp_string = "hoots and hollers like a chimpanzee on a banana binge!";
		end
SendChatMessage(chimp_string, "EMOTE");
end


-- fool

function fool_initialize()
SlashCmdList["FOOL"] = fool_command;
SLASH_FOOL1 = "/fool";
end

function fool_command()
		fool_target = UnitName("target");
		if ( fool_target ) then
				fool_string = "pities the fool who taught " .. fool_target .. " to dress."
		else
				fool_string = "pities the fool.";
		end
SendChatMessage(fool_string, "EMOTE");
end


-- pain

function pain_initialize()
SlashCmdList["PAIN"] = pain_command;
SLASH_PAIN1 = "/pain";
end

function pain_command()
		pain_target = UnitName("target");
		pain_gender = UnitSex("player");
		if ( pain_gender == 2 ) then
				pain_pn = "he";
		elseif ( pain_gender == 3) then
				pain_pn = "she";
		end
		if ( pain_target ) then
				pain_string = "smiles knowingly as " .. pain_pn .. " prepares to bring the pain to " .. pain_target .. "."
		else
				pain_string = "doubles over in agonizing pain.";
		end
SendChatMessage(pain_string, "EMOTE");
end


-- wiggle

function wiggle_initialize()
SlashCmdList["WIGGLE"] = wiggle_command;
SLASH_WIGGLE1 = "/wiggle";
end

function wiggle_command()
		wiggle_target = UnitName("target");
		wiggle_gender = UnitSex("player");
		if ( wiggle_gender == 2 ) then
				wiggle_pn = "his";
		elseif ( wiggle_gender == 3) then
				wiggle_pn = "her";
		end
		if ( wiggle_target ) then
				wiggle_string = "wiggles " .. wiggle_pn .. " bum at " .. wiggle_target .. ".  Saucy!"
		else
				wiggle_string = "wiggles about like a worm on a hook.";
		end
SendChatMessage(wiggle_string, "EMOTE");
end


-- bum

function bum_initialize()
SlashCmdList["BUM"] = bum_command;
SLASH_BUM1 = "/bum";
end

function bum_command()
		bum_target = UnitName("target");
		if ( bum_target ) then
				bum_string = "throws a copper at " .. bum_target .. ".  Get a job, you bum!"
		else
				bum_string = "bums around not wanting to do anything.";
		end
SendChatMessage(bum_string, "EMOTE");
end


-- squint

function squint_initialize()
SlashCmdList["SQUINT"] = squint_command;
SLASH_SQUINT1 = "/squint";
end

function squint_command()
		squint_target = UnitName("target");
		squint_gender = UnitSex("player");
		if ( squint_gender == 2 ) then
				squint_pn = "his";
		elseif ( squint_gender == 3) then
				squint_pn = "her";
		end		
		if ( squint_target ) then
				squint_string = "squints at " .. squint_target .. " while " .. squint_pn .. " fingers dance on " .. squint_pn .. " hip.  Who's up for spaghetti?"
		else
				squint_string = "squints " .. squint_pn .. " eyes.";
		end
SendChatMessage(squint_string, "EMOTE");
end


-- mexican (random food desires)

function mexican_initialize()
SlashCmdList["MEXICAN"] = mexican_command;
SLASH_MEXICAN1 = "/mexican";
end

function mexican_command()
		mexican_target = UnitName("target");
		local x = math.random(5)
		if (x == 1) then
			food = "taco"
		elseif (x == 2) then
			food = "burrito"
		elseif (x == 3) then
			food = "tamale"
		elseif (x == 4) then
			food = "chimichanga"
		elseif (x == 5) then
			food = "taquito"
		end
		if ( mexican_target ) then
				mexican_string = "offers " .. mexican_target .. " a piping hot " .. food .. ".  Muy caliente!"
		else
				mexican_string = "could really go for a " .. food .. " right now.";
		end
SendChatMessage(mexican_string, "EMOTE");
end


-- japanese

function japanese_initialize()
SlashCmdList["JAPANESE"] = japanese_command;
SLASH_JAPANESE1 = "/japanese";
end

function japanese_command()
		japanese_gender = UnitSex("player");
		if ( japanese_gender == 2 ) then
				japanese_pn = "he";
		elseif ( japanese_gender == 3) then
				japanese_pn = "she";
		end		
		japanese_string = "is turning Japanese, " .. japanese_pn .. " thinks " .. japanese_pn .. "'s turning Japanese, " .. japanese_pn .. " really thinks so!";
SendChatMessage(japanese_string, "EMOTE");
end


-- hate

function hate_initialize()
SlashCmdList["HATE"] = hate_command;
SLASH_HATE1 = "/hate";
end

function hate_command()
		hate_target = UnitName("target");
		hate_gender = UnitSex("player");
		if ( hate_gender == 2 ) then
				hate_pn = "him";
		elseif ( hate_gender == 3) then
				hate_pn = "her";
		end	
		local x = math.random(9)
		if (x == 1) then
			badmovie = "Battlefield Earth"
		elseif (x == 2) then
			badmovie = "Norbit"
		elseif (x == 3) then
			badmovie = "Batman & Robin"
		elseif (x == 4) then
			badmovie = "Gigli"
		elseif (x == 5) then
			badmovie = "Police Academy"
		elseif (x == 6) then
			badmovie = "Spice Girls"
		elseif (x == 7) then
			badmovie = "Star Wars - Episode II"
		elseif (x == 8) then
			badmovie = "Catwoman"
		elseif (x == 9) then
			badmovie = "Basic Instinct 2"
		
		end
		local x = math.random(8)
		if (x == 1) then
			utensil = " spork"
		elseif (x == 2) then
			utensil = " used butter knife"
		elseif (x == 3) then
			utensil = "n Egyptian pyramid"
		elseif (x == 4) then
			utensil = " rusty screwdriver"
		elseif (x == 5) then
			utensil = "n unhappy litter of kittens"
		elseif (x == 6) then
			utensil = "n enraged lemming"
		elseif (x == 7) then
			utensil = "n iron maiden recliner"
		elseif (x == 8) then
			utensil = "n orcish bidet"						
		end
		if ( hate_target ) then
				hate_string = "hates " .. hate_target .. " more than having to watch scenes from " .. badmovie .. " while sitting on a" .. utensil .. " for " .. math.random(2, 10) .. " hours.  That's a lot."
		else
				hate_string = "hates " .. hate_pn .. "self so much right now.  How very emo of " .. hate_pn .. ".";
		end
SendChatMessage(hate_string, "EMOTE");
end


-- kill

function kill_initialize()
SlashCmdList["KILL"] = kill_command;
SLASH_KILL1 = "/kill";
end

function kill_command()
		kill_target = UnitName("target");
		if ( kill_target ) then
				kill_string = "is going to kill " .. kill_target .. " with extreme prejudice."
		else
				kill_string = "looks for something to kill.";
		end
SendChatMessage(kill_string, "EMOTE");
end


-- tremble

function tremble_initialize()
SlashCmdList["TREMBLE"] = tremble_command;
SLASH_TREMBLE1 = "/tremble";
end

function tremble_command()
		tremble_target = UnitName("target");
		if ( tremble_target ) then
				tremble_string = "trembles before " .. tremble_target .. "'s overwhelming presence.";
		else
				tremble_string = "trembles in abject terror.";
		end
SendChatMessage(tremble_string, "EMOTE");
end


-- poo

function poo_initialize()
SlashCmdList["POO"] = poo_command;
SLASH_POO1 = "/poo";
end

function poo_command()
		poo_target = UnitName("target");
		if ( poo_target ) then
				poo_string = "flings a bit of poo directly at " .. poo_target .. "'s head.  Bad monkey!";
		else
				poo_string = "begins to fling poo all over the place.  Down, monkey, down!";
		end
SendChatMessage(poo_string, "EMOTE");
end


-- poot

function poot_initialize()
SlashCmdList["POOT"] = poot_command;
SLASH_POOT1 = "/poot";
end

function poot_command()
		poot_target = UnitName("target");
		if ( poot_target ) then
				poot_string = "takes one look at " .. poot_target .. " and prompty poots in consternation.";
		else
				poot_string = "poots a little, but quickly covers it up by coughing.  Cough, cough!  Phew, that was a close one.";
		end
SendChatMessage(poot_string, "EMOTE");
end


-- drunk

function drunk_initialize()
SlashCmdList["DRUNK"] = drunk_command;
SLASH_DRUNK1 = "/drunk";
end

function drunk_command()
		drunk_target = UnitName("target");
		drunk_gender = UnitSex("player");
		if ( drunk_gender == 2 ) then
				drunk_pn = "he";
		elseif ( drunk_gender == 3) then
				drunk_pn = "she";
		end
		if ( drunk_target ) then
				drunk_string = "wonders if " .. drunk_target .. " is drunk.";
		else
				drunk_string = "isn't as thunk as you drunk " .. drunk_pn .. " ish.  Hic!";
		end
SendChatMessage(drunk_string, "EMOTE");
end


-- fly

function fly_initialize()
SlashCmdList["FLY"] = fly_command;
SLASH_FLY1 = "/fly";
end

function fly_command()
		fly_target = UnitName("target");
		fly_gender = UnitSex("player");
		if ( fly_gender == 2 ) then
				fly_pn = "his";
		elseif ( fly_gender == 3) then
				fly_pn = "her";
		end
		if ( fly_target ) then
				fly_string = "swats " .. fly_target .. " away.  Shoo, fly, don't bother me!";
		else
				fly_string = "flaps " .. fly_pn .. " arms like a bird and tries to soar into the sky.  Sounds like somebody ate too much delicious cave mold.";
		end
SendChatMessage(fly_string, "EMOTE");
end


-- pdead

function pdead_initialize()
SlashCmdList["PDEAD"] = pdead_command;
SLASH_PDEAD1 = "/pdead";
end

function pdead_command()
		pdead_target = UnitName("target");
		pdead_gender = UnitSex("player");
		if ( pdead_gender == 2 ) then
				pdead_pn = "his";
		elseif ( pdead_gender == 3) then
				pdead_pn = "her";
		end
		if ( pdead_target ) then
				pdead_string = "yells for " .. pdead_target .. " to play dead.";
		else
				pdead_string = "plays dead.";
		end
SendChatMessage(pdead_string, "EMOTE");
end


-- feelbad

function feelbad_initialize()
SlashCmdList["FEELBAD"] = feelbad_command;
SLASH_FEELBAD1 = "/feelbad";
end

function feelbad_command()
		feelbad_target = UnitName("target");
		feelbad_gender = UnitSex("player");
		if ( feelbad_gender == 2 ) then
				feelbad_pn = "him";
		elseif ( feelbad_gender == 3) then
				feelbad_pn = "her";
		end
		if ( feelbad_target ) then
				feelbad_string = "feels bad for " .. feelbad_target .. ".  How pitiful!";
		else
				feelbad_string = "feels really bad for those around " .. feelbad_pn .. ".";
		end
SendChatMessage(feelbad_string, "EMOTE");
end


-- bad

function bad_initialize()
SlashCmdList["BAD"] = bad_command;
SLASH_BAD1 = "/bad";
end

function bad_command()
		bad_target = UnitName("target");
		if ( bad_target ) then
				bad_string = "thinks " .. bad_target .. " is bad to the bone.";
		else
				bad_string = "is bad to the bone.";
		end
SendChatMessage(bad_string, "EMOTE");
end


-- shoot

function shoot_initialize()
SlashCmdList["SHOOT"] = shoot_command;
SLASH_SHOOT1 = "/shoot";
end

function shoot_command()
		shoot_target = UnitName("target");
		if ( shoot_target ) then
				shoot_string = "shoots " .. shoot_target .. " square between the eyes.  Nice shot!";
		else
				shoot_string = "yells for everyone to shoot stuff!  Yeehaw!";
		end
SendChatMessage(shoot_string, "EMOTE");
end